Mailinglist Archive: opensuse-factory (468 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200415 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Fri, 17 Apr 2020 22:00:41 +0000
  • Message-id: <158716084167.30552.6195920352695054448@go-agent-stagingbot-7>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200415

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
MozillaThunderbird (68.6.0 -> 68.7.0)
WindowMaker (0.95.8 -> 0.95.9)
attica-qt5 (5.68.0 -> 5.69.0)
baloo5 (5.68.0 -> 5.69.0)
bluez-qt (5.68.0 -> 5.69.0)
breeze5-icons (5.68.0 -> 5.69.0)
cifs-utils
crash
frameworkintegration (5.68.0 -> 5.69.0)
freerdp (2.0.0~rc4 -> 2.0.0)
gnutls (3.6.12 -> 3.6.13)
gstreamer-plugins-bad
gtk3 (3.24.16 -> 3.24.18)
highlight (3.55 -> 3.56)
kactivities-stats (5.68.0 -> 5.69.0)
kactivities5 (5.68.0 -> 5.69.0)
karchive (5.68.0 -> 5.69.0)
kauth (5.68.0 -> 5.69.0)
kbookmarks (5.68.0 -> 5.69.0)
kcalendarcore (5.68.0 -> 5.69.0)
kcmutils (5.68.0 -> 5.69.0)
kcodecs (5.68.0 -> 5.69.0)
kcompletion (5.68.0 -> 5.69.0)
kconfig (5.68.0 -> 5.69.0)
kconfigwidgets (5.68.0 -> 5.69.0)
kcontacts (5.68.0 -> 5.69.0)
kcoreaddons (5.68.0 -> 5.69.0)
kcrash (5.68.0 -> 5.69.0)
kdbusaddons (5.68.0 -> 5.69.0)
kdeclarative (5.68.0 -> 5.69.0)
kded (5.68.0 -> 5.69.0)
kdelibs4support (5.68.0 -> 5.69.0)
kdesu (5.68.0 -> 5.69.0)
kdnssd-framework (5.68.0 -> 5.69.0)
kdoctools (5.68.0 -> 5.69.0)
kemoticons (5.68.0 -> 5.69.0)
kfilemetadata5 (5.68.0 -> 5.69.0)
kglobalaccel (5.68.0 -> 5.69.0)
kguiaddons (5.68.0 -> 5.69.0)
kholidays (5.68.0 -> 5.69.0)
khtml (5.68.0 -> 5.69.0)
ki18n (5.68.0 -> 5.69.0)
kiconthemes (5.68.0 -> 5.69.0)
kidletime (5.68.0 -> 5.69.0)
kimageformats (5.68.0 -> 5.69.0)
kinit (5.68.0 -> 5.69.0)
kio (5.68.0 -> 5.69.0)
kirigami2 (5.68.0 -> 5.69.0)
kitemmodels (5.68.0 -> 5.69.0)
kitemviews (5.68.0 -> 5.69.0)
kjobwidgets (5.68.0 -> 5.69.0)
kjs (5.68.0 -> 5.69.0)
knewstuff (5.68.0 -> 5.69.0)
knotifications (5.68.0 -> 5.69.0)
knotifyconfig (5.68.0 -> 5.69.0)
kpackage (5.68.0 -> 5.69.0)
kparts (5.68.0 -> 5.69.0)
kpeople5 (5.68.0 -> 5.69.0)
kplotting (5.68.0 -> 5.69.0)
kpty (5.68.0 -> 5.69.0)
kquickcharts (5.68.0 -> 5.69.0)
kross (5.68.0 -> 5.69.0)
krunner (5.68.0 -> 5.69.0)
kservice (5.68.0 -> 5.69.0)
ktexteditor (5.68.0 -> 5.69.0)
ktextwidgets (5.68.0 -> 5.69.0)
kunitconversion (5.68.0 -> 5.69.0)
kwallet (5.68.0 -> 5.69.0)
kwayland (5.68.0 -> 5.69.0)
kwidgetsaddons (5.68.0 -> 5.69.0)
kwindowsystem (5.68.0 -> 5.69.0)
kxmlgui (5.68.0 -> 5.69.0)
libKF5ModemManagerQt (5.68.0 -> 5.69.0)
libKF5NetworkManagerQt (5.68.0 -> 5.69.0)
libappindicator3
libevdev (1.4.5 -> 1.9.0)
libinput
libopenmpt (0.4.11 -> 0.4.12)
libqt5-qtwebengine
libvdpau (1.3 -> 1.4)
libzypp (17.23.2 -> 17.23.4)
live555 (2020.03.06 -> 2020.04.12)
man-pages (5.05 -> 5.06)
memtest86+
mozilla-nss (3.51 -> 3.51.1)
net-snmp
oxygen5-icon-theme (5.68.0 -> 5.69.0)
plasma-framework (5.68.0 -> 5.69.0)
prison-qt5 (5.68.0 -> 5.69.0)
purpose (5.68.0 -> 5.69.0)
python-M2Crypto
python-SQLAlchemy (1.3.15 -> 1.3.16)
python-argparse-manpage
python-jedi
python-lazr.config (2.2.1 -> 2.2.2)
python-parso (0.6.2 -> 0.7.0)
python-pycurl
python-pywbem (0.17.0 -> 0.17.1)
python-zope.deprecation
python-zope.event
python-zope.hookable
python-zope.i18nmessageid
python-zope.interface (5.0.1 -> 5.1.0)
qqc2-desktop-style (5.68.0 -> 5.69.0)
rdma-core (27.0 -> 27.1)
remmina (1.4.1 -> 1.4.2)
ruby2.6 (2.6.5 -> 2.6.6)
shared-mime-info (1.12 -> 1.15)
solid (5.68.0 -> 5.69.0)
sonnet (5.68.0 -> 5.69.0)
syndication (5.68.0 -> 5.69.0)
syntax-highlighting (5.68.0 -> 5.69.0)
threadweaver (5.68.0 -> 5.69.0)
util-linux (2.34 -> 2.35.1)
util-linux-systemd (2.34 -> 2.35.1)
vim (8.2.0348 -> 8.2.0530)
vinagre
virtualbox
wireshark (3.2.2 -> 3.2.3)
yast2 (4.2.81 -> 4.2.82)
yast2-firstboot (4.2.13 -> 4.2.14)
zypper (1.14.35 -> 1.14.36)

=== Details ===

==== MozillaThunderbird ====
Version update (68.6.0 -> 68.7.0)
Subpackages: MozillaThunderbird-translations-common

- Mozilla Thunderbird 68.7.0
* Updates to MailExtensions API
* Various improvements to account setup when connecting to an
Exchange server
* Thread collapsed when opening news message in a new window
* Fix Addons not automatically updated to compatible version after
upgrade from Thunderbird 60
* Updating addons did not prompt when requesting new permissions
* Extra recipients panel not keyboard-accessible
* Accessibility: Status bar was not detected by screenreaders
* Calendar: Invitations with embedded null bytes did not always decode
correctly
* Calendar: Cancelled events didn't show with a line-through
* Various security fixes
MFSA 2020-14
In general, these flaws cannot be exploited through email in
Thunderbird because scripting is disabled when reading mail, but
are potentially risks in browser or browser-like contexts.
* CVE-2020-6819 (bmo#1620818, bsc#1168630)
Use-after-free while running the nsDocShell destructor
* CVE-2020-6820 (bmo#1626728, bsc#1168630)
Use-after-free when handling a ReadableStream
* CVE-2020-6821 (bmo#1625404, bsc#1168874)
Uninitialized memory could be read when using the WebGL
copyTexSubImage method
* CVE-2020-6822 (bmo#1544181, bsc#1168874)
Out of bounds write in GMPDecodeData when processing large images
* CVE-2020-6825 (bmo#1572541,bmo#1620193,bmo#1620203,bsc#1168874)
Memory safety bugs fixed in Thunderbird 68.7.0

==== WindowMaker ====
Version update (0.95.8 -> 0.95.9)

- Update to 0.95.9
* SwitchPanel is now more configurable:
you can configure the switch panel icon size by setting the
?SwitchPanelIconSize? option to your preferred value in
~/GNUstep/Defaults/WindowMaker. The font size used in this panel now is also
sensible to changes in the system font.
* New user configuration directory environment variable:
In previous versions, the GNUstep directory used to store a user?s Window
Maker configuration files was specified by the GNUSTEP_USER_ROOT environment
variable, which defaulted to ~/GNUstep. However, this environment variable
was deprecated in gnustep-make v2. Therefore, it has been replaced by the
WMAKER_USER_ROOT environment variable.
* libXmu is now an optional dependency
If the library is not found, compilation work, the only limitation will
arise when trying to install the standard colormap on displays which are not
TrueColor. Please note that if you have the library but not the headers,
configure will still stop; there is no user option to explicitly disable
the library use.
- Rebase patches
* WindowMaker-config.patch
* WindowMaker-menu.patch
- Rework reproducible patch
* remove WindowMaker-0.95.8-reproducible.patch
* add WindowMaker-reproducible.patch

==== attica-qt5 ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Attica5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== baloo5 ====
Version update (5.68.0 -> 5.69.0)
Subpackages: baloo5-file baloo5-file-lang baloo5-imports baloo5-imports-lang
baloo5-kioslaves baloo5-kioslaves-lang baloo5-tools baloo5-tools-lang
libKF5Baloo5 libKF5BalooEngine5 libKF5BalooEngine5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Too many changes to list here.

==== bluez-qt ====
Version update (5.68.0 -> 5.69.0)
Subpackages: bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== breeze5-icons ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Too many changes since 5.68.0, only listing bugfixes:
* Make find-location show a magnifier on a map, to be different to
mark-location (kde#407061)

==== cifs-utils ====

- rst2man has been moved to python3-docutils in SLE12+, update
BuildRequires check to reflect that

==== crash ====

- Add crash-fix-kmem-sS-for-caches-created-during-SLUB-bootstrap.patch
Fix "kmem -[sS]" for caches created during SLUB bootstrap (bsc#1164815
ltc#182973).
- Add crash-Fix-for-reading-compressed-kdump-dumpfiles-from-syst.patch
Fix integer overflow with large memory configuration (bsc#1168233 ltc#184660).

==== frameworkintegration ====
Version update (5.68.0 -> 5.69.0)
Subpackages: frameworkintegration-plugin libKF5Style5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== freerdp ====
Version update (2.0.0~rc4 -> 2.0.0)
Subpackages: libfreerdp2 libwinpr2

- Added cairo support for scaling
- Cleaned up spec
- Removed patch freerdp-Fix-realloc-return-handling.patch
- Added pkgconfig(libusb-1.0) for building
- Added new package for freerdp-proxy
- Cleaned up spec file
- Updated to release 2.0.0
* Fixed CVEs:
- CVE-2020-11521
- CVE-2020-11522
- CVE-2020-11523
- CVE-2020-11524
- CVE-2020-11525
- CVE-2020-11526
* Fixed security related issues:
- gh#FreeRDP/FreeRDP#6005
- gh#FreeRDP/FreeRDP#6006
- gh#FreeRDP/FreeRDP#6007
- gh#FreeRDP/FreeRDP#6008
- gh#FreeRDP/FreeRDP#6009
- gh#FreeRDP/FreeRDP#6010
- gh#FreeRDP/FreeRDP#6011
- gh#FreeRDP/FreeRDP#6012
- gh#FreeRDP/FreeRDP#6013
* sha256 is now used instead of sha1 to fingerprint certificates. This will
invalidate all hosts in FreeRDP known_hosts2 file and causes a prompt if a
new connection is established after the update
* First version of the RDP proxy was added (gh#FreeRDP/FreeRDP#5372)
thanks to @kubistika
* Smartcard received some refactoring. Missing functions were added and input
validation was improved (gh#FreeRDP/FreeRDP#5884)
* A new option /cert that unifies all certificate related options
(gh#FreeRDP/FreeRDP#5880)
The old options (cert-ignore, cert-deny, cert-name, cert-tofu) are still
available but marked as deprecated
* Support for Remote Assistance Protocol Version 2 [MS-RA]
* The DirectFB client was removed because it was unmaintained
* Unified initialization of OrderSupport
* Fix for licensing against Windows Server 2003
* Font smoothing is now enabled per default
* Smart scaling for Wayland using libcairo was added (gh#FreeRDP/FreeRDP#5215)
* Unified update->BeginPaint and update->EndPaint
* An image scaling API for software drawing was added
* Rail was updated to the latest spec version 28.0
* Support for H.264 in the shadow server is now detected at runtime
* Add mask=<value> option for /gfx and /gfx-h264 (gh#FreeRDP/FreeRDP#5771)
* A new option /timeout was added to adjust the TCP ACK timeout
(gh#FreeRDP/FreeRDP#5987)

==== gnutls ====
Version update (3.6.12 -> 3.6.13)
Subpackages: libgnutls-dane0 libgnutls30 libgnutls30-32bit

- Use correct nettle .so version when looking for a FIPS checksum
(bsc#1166635)
* add gnutls-fips_correct_nettle_soversion.patch
- Update to 3.6.13
* libgnutls: Fix a DTLS-protocol regression (caused by TLS1.3
support)
The DTLS client would not contribute any randomness to the DTLS negotiation,
breaking the security guarantees of the DTLS protocol (#960)
[GNUTLS-SA-2020-03-31, CVSS: high] (bsc#1168345)
* libgnutls: Added new APIs to access KDF algorithms (#813).
* libgnutls: Added new callback gnutls_keylog_func that enables a custom
logging functionality.
* libgnutls: Added support for non-null terminated usernames in PSK
negotiation (#586).
* gnutls-cli-debug: Improved support for old servers that only support
SSL 3.0.
- Split off FIPS checksums into a separate libgnutls30-hmac
subpackage (bsc#1152692)

==== gstreamer-plugins-bad ====
Subpackages: gstreamer-plugins-bad-lang libgstadaptivedemux-1_0-0
libgstbadaudio-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
libgstisoff-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0 libgstsctp-1_0-0
libgsturidownloader-1_0-0 libgstwayland-1_0-0 libgstwebrtc-1_0-0

- Add -fcommon in order to fix boo#1160395.
- Enable chromaprint plugin on SLE (jsc#SLE-11723).

==== gtk3 ====
Version update (3.24.16 -> 3.24.18)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-tigrigna gtk3-immodule-vietnamese
gtk3-immodule-xim gtk3-lang gtk3-schema gtk3-tools libgtk-3-0
typelib-1_0-Gtk-3_0

- Update to version 3.24.18:
+ Wayland: Fix more sizing regressions in Epiphany and
LibreOffice menus, and popups in general.
+ Build: Make resource build reproducible.
+ Updated translations.
- Disable autogeneration of .changes in service, we are currently
using released tags so it is not needed.
- Update to version 3.24.17:
+ GtkFileChooser: Fix some keynav issues.
+ GtkMenuButton: disable focus-on-click.
+ Derive the HighContrast and HighContrastInverse themes from
Adwaita.
+ Wayland:
- Fix firefox sizing problems.
- Prevent Alt lingering after Alt-Tab.
- Load compose sequences from ~/.Compose.
- Fix a crash in the Wayland input method.
+ Updated translations.

==== highlight ====
Version update (3.55 -> 3.56)

- Update to version 3.56:
* Added support for Sequence Alignment Maps (SAM files).
* Added empty-file mode to --no-trailing-nl
(gl#saalen/highlight#147).
* Fixed issue with --syntax-by-name waiting for stdin
(gl#saalen/highlight#151).
* Fixed issue with --syntax reading matching files in the
current working directory (gl#saalen/highlight#151).
* Fixed string parsing in lisp.lang (gl#saalen/highlight#150).
* Fixed output of UTF-8 text in xterm256 or truecolor output
(gl#saalen/highlight#152).
* Fixed regex in js.lang.
* Fixed calculation of testcase markers with UTF-8 input.
* Allowed number literals with underscores in Java, Scala, D,
Julia, C#, Perl and Ada definitions.
* Added Nord theme.

==== kactivities-stats ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kactivities5 ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kactivities5-imports libKF5Activities5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== karchive ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Add autotest for zip within zip

==== kauth ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Auth5 libKF5Auth5-lang libKF5AuthCore5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* fix type namespace requirement

==== kbookmarks ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Bookmarks5 libKF5Bookmarks5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Decouple KBookmarksMenu from KActionCollection

==== kcalendarcore ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* fix fallback to vCalendar loading on iCalendar load failure

==== kcmutils ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5KCMUtils5 libKF5KCMUtils5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* listen to passiveNotificationRequested
* workaround to never make applicationitem resize itself

==== kcodecs ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Codecs5 libKF5Codecs5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* KCodecs: Convert license statements to SPDX expressions

==== kcompletion ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Completion5 libKF5Completion5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kconfig ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kconf_update5 libKF5ConfigCore5 libKF5ConfigCore5-lang
libKF5ConfigGui5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* QAtomicInteger::loadRelaxed/storeRelaxed() are available since Qt 5.14
* [KConfigGui] Check font weight when clearing styleName property
* KConfig: Convert to SPDX license statements
* Autotest file showing wrong File path
* KconfigXT: Add a value attribute to Enum field choices

==== kconfigwidgets ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5ConfigWidgets5 libKF5ConfigWidgets5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kcontacts ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kcoreaddons ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kcoreaddons-lang libKF5CoreAddons5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* kdirwatch: fix a recently introduced crash (kde#419428)
* QAtomicInteger::loadRelaxed/storeRelaxed() are available since Qt 5.14
* Fix Warnings
* KCoreAddons: Convert license statements to SPDX expressions
* KPluginMetaData: handle invalid mimetype in supportsMimeType

==== kcrash ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* move setErrorMessage definition out of the linux ifdef
* Allow providing an error message from the application

==== kdbusaddons ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kdbusaddons-tools libKF5DBusAddons5 libKF5DBusAddons5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Check correct file for sandbox detection

==== kdeclarative ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kdeclarative-components libKF5CalendarEvents5 libKF5Declarative5
libKF5Declarative5-lang libKF5QuickAddons5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Introduce api for passive notifications
* [KCM Controls GridDelegate] Use `ShadowedRectangle`
* [kcmcontrols] Respect header/footer visibility

==== kded ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kded-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kdelibs4support ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kdelibs4support-lang libKF5KDELibs4Support5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Add missing include

==== kdesu ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Su5 libKF5Su5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kdnssd-framework ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5DNSSD5 libKF5DNSSD5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kdoctools ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kdoctools-lang libKF5DocTools5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Use bold italic at 100% for sect4 titles, and bold 100% for sect5 titles
(kde#419256)
* Update the list of the Italian entities
* Use the same style for informaltable as for table (kde#418696)

==== kemoticons ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kfilemetadata5 ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kfilemetadata5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kglobalaccel ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kglobalaccel5 libKF5GlobalAccel5 libKF5GlobalAccel5-lang
libKF5GlobalAccelPrivate5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kguiaddons ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kholidays ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Holidays5 libKF5Holidays5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== khtml ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5KHtml5 libKF5KHtml5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== ki18n ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5I18n5 libKF5I18n5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Ki18n: Convert license headers to SPDX statements

==== kiconthemes ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5IconThemes5 libKF5IconThemes5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kidletime ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Port away from QWidget
* Fix infinite recursion in xscreensaver plugin

==== kimageformats ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kimageformats-eps

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Port the HDR plugin from sscanf() to QRegularExpression. Fixes FreeBSD.
* autotests: print QImageReader::supportedImageFormats, to debug CI failures

==== kinit ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kinit-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kio ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kio-core kio-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Too many changes since 5.68.0, only listing bugfixes:
* FileWidgets: Ignore Return events from KDirOperator (kde#412737)
* [KNewFileMenu] Add extension to proposed filename (kde#61669)
* [DesktopExecParser] Open {ssh,telnet,rlogin}:// urls with ktelnetservice
(kde#418258)

==== kirigami2 ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kirigami2-lang libKF5Kirigami2-5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Too many changes since 5.68.0, only listing bugfixes:
* simplify header resizing (kde#419124)
* Fix undefined check in global drawer menu mode (kde#417956)

==== kitemmodels ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* [KItemModels/KLinkItemSelectionModelTest] Port QRegExp to QRegularExpression
* [KSortFilterProxyModel QML] Make invalidateFilter public

==== kitemviews ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5ItemViews5 libKF5ItemViews5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* KItemViews: Convert license statements to SPDX expressions

==== kjobwidgets ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5JobWidgets5 libKF5JobWidgets5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kjs ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5JS5 libKF5JSApi5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== knewstuff ====
Version update (5.68.0 -> 5.69.0)
Subpackages: knewstuff-imports libKF5NewStuff5 libKF5NewStuff5-lang
libKF5NewStuffCore5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Show filename too
* Fix layout in DownloadItemsSheet (kde#419535)
* [QtQuick dialog] Port to UrlBUtton and hide when there's no URL
* Switch to using Kirigami's ShadowedRectangle
* Fix update scenarios with no explicit downloadlink selected (kde#417510)

==== knotifications ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Notifications5 libKF5Notifications5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Introduce KNotificationJobUiDelegate
* Use fallback also on Windows not only mac

==== knotifyconfig ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5NotifyConfig5 libKF5NotifyConfig5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Use libcanberra as primary means of previewing the sound

==== kpackage ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kpackage-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kparts ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Parts5 libKF5Parts5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* KParts partviewer test app: add action list to switch parts
* KParts: add unittest for PartLoader, required shuffling things around
* KParts: add PartLoader as replacement to KMimeTypeTrader for parts

==== kpeople5 ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kpeople5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* PersonsModel: Fix PersonVCardRole

==== kplotting ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kpty ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Pty5 libKF5Pty5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kquickcharts ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kross ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kross-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== krunner ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kservice ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kservice-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* add @since
* Add static method to check start condition
* QAtomicInteger::loadRelaxed/storeRelaxed() are available since Qt 5.14
* KServiceAction: store parent service
* KSycoca: avoid hitting an assert when writing a full path into mimeapps.list
* Properly read the X-Flatpak-RenamedFrom string list from desktop files
* Fix cmake warning

==== ktexteditor ====
Version update (5.68.0 -> 5.69.0)
Subpackages: ktexteditor-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Make it compile against q5.15 (QString:: is deprecated)
* Add missing include
* fix folding crash for folding of single line folds (kde#417890)
* fix unit test
* [VIM Mode] Add g<up> g<down> commands (kde#418486)
* Add MarkInterfaceV2, to s/QPixmap/QIcon/g for symbols of marks
* Draw inlineNotes after drawing word wrap marker

==== ktextwidgets ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5TextWidgets5 libKF5TextWidgets5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kunitconversion ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5UnitConversion5 libKF5UnitConversion5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kwallet ====
Version update (5.68.0 -> 5.69.0)
Subpackages: kwallet-tools kwallet-tools-lang kwalletd5 kwalletd5-lang
libKF5Wallet5 libkwalletbackend5-5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== kwayland ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Too many changes since 5.68.0, only listing bugfixes:
* Pass a dedicated fd to each keyboard for the xkb keymap (kde#381674)

==== kwidgetsaddons ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5WidgetsAddons5 libKF5WidgetsAddons5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* [KCharSelect] Do not simplify single characters in search (kde#418461)
* Fix warning about incompatible enum types
* [KFontChooser] General code cleanup
* Copy KFontDialog from KDELibs4Support to KWidgetAddons, now
KFontChooserDialog
* autotests: make ktooltipwidgettest more robust
* Port away from deprecated QSet methods
* It we readd items we need to clear it first. OTherwise we will see
* Update kcharselect-data to Unicode 13.0

==== kwindowsystem ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5WindowSystem5 libKF5WindowSystem5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Fix EWMH non-compliance for NET::{OnScreenDisplay,CriticalNotification}
* KWindowSystem: deprecate KStartupInfoData::launchedBy, unused
* Expose application menu via KWindowInfo
* KWindowSystem: Convert license headers to SPDX expressions

==== kxmlgui ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5XmlGui5 libKF5XmlGui5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Small speed improvement: test event type before doing qobject_cast

==== libKF5ModemManagerQt ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== libKF5NetworkManagerQt ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Fix minor EBN issues
* NetworkManager-Qt: Convert license headers to SPDX expressions

==== libappindicator3 ====

- Add -fcommon in order to fix boo#1164492.

==== libevdev ====
Version update (1.4.5 -> 1.9.0)
Subpackages: libevdev-devel libevdev-tools libevdev2

- Update to 1.9.0 (no changelog)
- Update to 1.8.0
* Bug fixes
* Docs update
* Improve tests
* Sync with latest kernels

==== libinput ====
Subpackages: libinput-udev libinput10

- Remove utilities with unsatisfied runtime
dependencies [boo#1168783]

==== libopenmpt ====
Version update (0.4.11 -> 0.4.12)
Subpackages: libmodplug1 libopenmpt0

- Update to 0.4.12:
* IT: Vibrato was too fast in Old Effects mode since
libopenmpt 0.3.
* XM: Treat 8bitbubsy?s FT2 clone exactly like Fasttracker 2 with
respect to compatibility and playback flags. For example,
FT2 Pan Law was not applied.
* DMF: Some files had a wrong tempo since
libopenmpt 0.2.5705-beta15.

==== libqt5-qtwebengine ====

- Add fix1163766.patch to fix opensuse-welcome on i686 (boo#1163766)

==== libvdpau ====
Version update (1.3 -> 1.4)

- Update libvdpau to version 1.4
* adds 10,12-Bit decode support to VDPAU API
* Adds HEVC Main 10/12 and HEVC Main 444 10/12 decode support in
VDPAU API by Adding new profiles present in Range Extension
profiles.Also Adds new VdpChromaTypes for 16bit.
- Updated vdpauinfo to version 1.3
* Add names for the new 4:4:4 surface formats
* Add support for VP9 in vdpauinfo
* Depend on vdpau >= 1.3 for VP9 support

==== libzypp ====
Version update (17.23.2 -> 17.23.4)

- Get retracted patch status from updateinfo data (jsc#SLE-8770)
libsolv injects the indicator provides into packages only.
- remove 'using namespace std;' (bsc#1166610, fixes #218)
- Online doc: add 'Hardware (modalias) dependencies' page
(fixes #216)
- version 17.23.4 (22)
- Add HistoryLogReader actionFilter to parse only specific
HistoryActionIDs.
- version 17.23.3 (22)

==== live555 ====
Version update (2020.03.06 -> 2020.04.12)
Subpackages: libBasicUsageEnvironment1 libUsageEnvironment3 libgroupsock8

- Update to version 2020.04.12:
+ Updated "config.linux-with-shared-libraries"
(and "liveMedia/Makefile.tail") to ensure that "libssl" and
"libcrypto" are linked when "libliveMedia" is built.
(Thanks to Felix Kaechele for reporting this.)
- Changes from version 2020.04.06:
+ Removed support for the classes "RTSPServerSupportingHTTPStreaming"
and "TCPStreamSink".
These were being used (in the "LIVE555 Media Server") for
streaming using "HTTP Live Streaming" (HLS). This was always
a hack; it is better to use a dedicated HTTP server to serve
HLS segments, rather than trying to implement a HTTP server
(serving 'virtual HLS segments) within our own (primarily RTSP)
server.
If you are looking for HLS support, note that we provide a
source-code demo application "testH264VideoToHLSSegments" that
converts a (static) H.264 Elementary Stream file to HLS
segments, and the "LIVE555 HLS Proxy", which proxies a live
RTSP/RTP stream to HLS segments.

==== man-pages ====
Version update (5.05 -> 5.06)

- version update to 5.06
New and rewritten pages
- ----------------------
* openat2.2
* pidfd_getfd.2
* select.2
* select_tut.2
* sysvipc.7
* time_namespaces.7
Newly documented interfaces in existing pages
- --------------------------------------------
arch_prctl.2
Add ARCH_SET_CPUID subcommand
clock_getres.2
Document CLOCK_TAI
Add CLOCK_REALTIME_ALARM and CLOCK_BOOTTIME_ALARM
prctl.2
Document PR_SETIO_FLUSHER/GET_IO_FLUSHER
setns.2
Document CLONE_NEWTIME
statx.2
Document STATX_ATTR_VERITY
unshare.2
Document CLONE_NEWTIME
socket.7
Add description of SO_SELECT_ERR_QUEUE
Document SO_TIMESTAMPNS
etc., see Changes

==== memtest86+ ====

- Disable parallel build.

==== mozilla-nss ====
Version update (3.51 -> 3.51.1)
Subpackages: libfreebl3 libfreebl3-hmac libsoftokn3 libsoftokn3-hmac
mozilla-nss-certs mozilla-nss-tools

- update to NSS 3.51.1:
* Update Delegated Credentials implementation to draft-07
(bmo#1617968)
* Add workaround option to include both DTLS and TLS versions in
DTLS supported_versions (bmo#1619102)
* Update README: TLS 1.3 is not experimental anymore
(bmo#1619056)
* Don't assert fuzzer behavior in SSL_ParseSessionTicket
(bmo#1618739)
* Fix UBSAN issue in ssl_ParseSessionTicket (bmo#1618915)
* Consistently handle NULL slot/session (bmo#1608245)
* broken fipstest handling of KI_len (bmo#1608250)
* Update Delegated Credentials implementation to draft-07
(bmo#1617968)

==== net-snmp ====
Subpackages: libsnmp30 perl-SNMP snmp-mibs

- Add -fcommon in order to fix boo#1160404.

==== oxygen5-icon-theme ====
Version update (5.68.0 -> 5.69.0)
Subpackages: oxygen5-icon-theme-large

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== plasma-framework ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Plasma5 plasma-framework-components plasma-framework-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Added Page element
* [pc3/busyindicator] Hide when not running
* Update window-pin, Add more sizes, Remove redundant edit-delete
* Make animation durations consistent with Kirigami values
* WIP: Create a new TopArea element using widgets/toparea svg
* Added plasmoid heading svg
* make highlighted property work for roundbutton

==== prison-qt5 ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Prison5 prison-qt5-imports

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Also expose the true minimum size to QML
* Add a new set of barcode size functions
* Simplify minimum size handling
* Move barcode image scaling logic to AbstractBarcode
* Add API to check whether a barcode is one- or two-dimensional

==== purpose ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Purpose5 libKF5PurposeWidgets5 purpose-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== python-M2Crypto ====

- Do not pull in py2 pkg on doc subpkg

==== python-SQLAlchemy ====
Version update (1.3.15 -> 1.3.16)

- update to version 1.3.16:
* orm
+ Fixed bug in orm.selectinload() loading option where two or more
loaders that represent different relationships with the same
string key name as referenced from a single
orm.with_polymorphic() construct with multiple subclass mappers
would fail to invoke each subqueryload separately, instead
making use of a single string-based slot that would prevent the
other loaders from being invoked. References: #5228
+ Fixed issue where a lazyload that uses session-local ?get?
against a target many-to-one relationship where an object with
the correct primary key is present, however it?s an instance of
a sibling class, does not correctly return None as is the case
when the lazy loader actually emits a load for that row.
References: #5210
+ Modified the queries used by subqueryload and selectinload to no
longer ORDER BY the primary key of the parent entity; this
ordering was there to allow the rows as they come in to be
copied into lists directly with a minimal level of Python-side
collation. However, these ORDER BY clauses can negatively impact
the performance of the query as in many scenarios these columns
are derived from a subquery or are otherwise not actual primary
key columns such that SQL planners cannot make use of
indexes. The Python-side collation uses the native
itertools.group_by() to collate the incoming rows, and has been
modified to allow multiple row-groups-per-parent to be assembled
together using list.extend(), which should still allow for
relatively fast Python-side performance. There will still be an
ORDER BY present for a relationship that includes an explicit
order_by parameter, however this is the only ORDER BY that will
be added to the query for both kinds of loading. References:
[#5162]
* orm declarative
+ The string argument accepted as the first positional argument by
the relationship() function when using the Declarative API is no
longer interpreted using the Python eval() function; instead,
the name is dot separated and the names are looked up directly
in the name resolution dictionary without treating the value as
a Python expression. However, passing a string argument to the
other relationship() parameters that necessarily must accept
Python expressions will still use eval(); the documentation has
been clarified to ensure that there is no ambiguity that this is
in use. See also Evaluation of relationship arguments - details
on string evaluation References: #5238
* sql
+ Add ability to literal compile a DateTime, Date or :class:?Time?
when using the string dialect for debugging purposes. This
change does not impact real dialect implementation that retain
their current behavior. References: #5052
* schema
+ Added support for reflection of ?computed? columns, which are
now returned as part of the structure returned by
Inspector.get_columns(). When reflecting full Table objects,
computed columns will be represented using the Computed
construct. References: #5063
* postgresql
+ Fixed issue where a ?covering? index, e.g. those which have an
INCLUDE clause, would be reflected including all the columns in
INCLUDE clause as regular columns. A warning is now emitted if
these additional columns are detected indicating that they are
currently ignored. Note that full support for ?covering? indexes
is part of #4458. Pull request courtesy Marat Sharafutdinov.
References: #5205
* mysql
+ Fixed issue in MySQL dialect when connecting to a psuedo-MySQL
database such as that provided by ProxySQL, the up front check
for isolation level when it returns no row will not prevent the
dialect from continuing to connect. A warning is emitted that
the isolation level could not be detected. References: #5239
* sqlite
+ Implemented AUTOCOMMIT isolation level for SQLite when using
pysqlite. References: #5164
* mssql
+ Added support for ColumnOperators.is_distinct_from() and
ColumnOperators.isnot_distinct_from() to SQL Server, MySQL, and
Oracle. References: #5137
* oracle
+ Implemented AUTOCOMMIT isolation level for Oracle when using
cx_Oracle. Also added a fixed default isolation level of READ
COMMITTED for Oracle. References: #5200
+ Fixed regression / incorrect fix caused by fix for #5146 where
the Oracle dialect reads from the ?all_tab_comments? view to get
table comments but fails to accommodate for the current owner of
the table being requested, causing it to read the wrong comment
if multiple tables of the same name exist in multiple schemas.
References: #5146
* misc
+ Fixed an issue that prevented the test suite from running with
the recently released py.test 5.4.0. References: #5201
+ Enum type now supports the parameter Enum.length to specify the
length of the VARCHAR column to create when using non native
enums by setting Enum.native_enum to False References: #5183
+ Ensured that the ?pyproject.toml? file is not included in
builds, as the presence of this file indicates to pip that a
pep-517 installation process should be used. As this mode of
operation appears to be not well supported by current tools /
distros, these problems are avoided within the scope of
SQLAlchemy installation by omitting the file. References: #5207

==== python-argparse-manpage ====

- Don't use %python3_only command, but properly use alternatives.

==== python-jedi ====

- tell Leap 15.1 and SLE 15 SP1 pytest to ignore test/__init__.py
so that a test file with purposely placed syntax errors does not
trip the entire discovery
- reenable (most) unittests
- remove unbundle.patch -- according to upstream, typeshed is meant
to be bundled.

==== python-lazr.config ====
Version update (2.2.1 -> 2.2.2)

- update to 2.2.2
* Officially add support for Python 3.7 and 3.8.

==== python-parso ====
Version update (0.6.2 -> 0.7.0)

- update to 0.7.0
* Fix a lot of annoying bugs in the diff parser. The fuzzer did not find
issues anymore even after running it for more than 24 hours (500k tests).
* Small grammar change: suites can now contain newlines even after a newline.
This should really not matter if you don't use error recovery. It allows for
nicer error recovery.
- remove py_38.patch (merged upstream)

==== python-pycurl ====

- Do not pull in py2 package on doc subpkg

==== python-pywbem ====
Version update (0.17.0 -> 0.17.1)

- Update to 0.17.1:
- Fixed version incompatibilities reported by pip for tox/pluggy,
ipython/prompt-toolkit, and flake8/pyflakes. (See issue #2153)
- Fixed the issue where formatting the timezone name of
a pywbem.MinutesFromUTC object raised NotImplementedError,
by adding a tzname() method. (see issue #2160)
- Increased minimum version of ?six? from 0.10.0 to 0.12.0
when on Python 3.8 (or higher). (See issue #2150).
- Increased minimum version of ?setuptools? on Python 3.7
to 38.4.1 to fix a bug with new format of .pyc files. (See issue #2167).

==== python-zope.deprecation ====

- Do not pull in py2 package on doc subpkg

==== python-zope.event ====

- Do not pull in py2 package on doc subpkg

==== python-zope.hookable ====

- Do not pull in py2 package in doc subpkg

==== python-zope.i18nmessageid ====

- Do not pull in python2 pkg in doc subpkg

==== python-zope.interface ====
Version update (5.0.1 -> 5.1.0)

- Update to 5.1.0:
* Make @implementer(*iface) and classImplements(cls, *iface) ignore redundant
interfaces. If the class already implements an interface through inheritance,
it is no longer redeclared specifically for cls. This solves many instances of
inconsistent resolution orders, while still allowing the interface to be
declared for readability and maintenance purposes. See issue 199.
* Remove all bare except: statements. Previously, when accessing special
attributes such as __provides__, __providedBy__, __class__ and __conform__,
this package wrapped such access in a bare except: statement, meaning that many
errors could pass silently; typically this would result in a fallback path
being taken and sometimes (like with providedBy()) the result would be
non-sensical. This is especially true when those attributes are implemented
with descriptors. Now, only AttributeError is caught. This makes errors more
obvious.
* In addition, ZODB errors like POSKeyError could now be propagated where
previously they would ignored by this package.
* Require that the second argument (bases) to InterfaceClass is a tuple. This
only matters when directly using InterfaceClass to create new interfaces
dynamically. Previously, an individual interface was allowed, but did not work
correctly. Now it is consistent with type and requires a tuple.
* Let interfaces define custom __adapt__ methods. This implements the other
side of the PEP 246 adaptation protocol: objects being adapted could already
implement __conform__ if they know about the interface, and now interfaces can
implement __adapt__ if they know about particular objects. There is no
performance penalty for interfaces that do not supply custom __adapt__ methods.
* Make the internal singleton object returned by APIs like implementedBy and
directlyProvidedBy for objects that implement or provide no interfaces more
immutable. Previously an internal cache could be mutated. See issue 204.

==== qqc2-desktop-style ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* QQC2-Desktop-Style: Convert license headers to SPDX expressions
* [Dialog] Use `ShadowedRectangle`
* Fix sizing of CheckBox and RadioButton (kde#418447)
* Use `ShadowedRectangle`

==== rdma-core ====
Version update (27.0 -> 27.1)
Subpackages: libefa1 libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Update to v27.1
- Many bugfixes (memory leaks, use after free, etc.)

==== remmina ====
Version update (1.4.1 -> 1.4.2)
Subpackages: remmina-lang remmina-plugin-rdp remmina-plugin-secret
remmina-plugin-vnc remmina-plugin-xdmcp

- Update to release 1.4.2
* Bug-fixing release related to SSH bugs
* Adds ClientBuild settings to RDP plugin to specify client version build
number
* Spelling: Smaller bullet points, RDP plugin
* Allow formatting for SSH session filename
* web-browser plugin fixes
* Make duplicate session sensitive only if a profile exists
* Issue template reworked
* Fix null pointer dereference in remmina_main_quickconnect
* SFTP with tunnel fixes
* Cppcheck and PVS Studio Fixes
* VNCI fixes
* Typo fix in remmina_ssh.c
* Allow enter key in domain textbox of authentication dialog to submit
* rcw event sources cleanup

==== ruby2.6 ====
Version update (2.6.5 -> 2.6.6)
Subpackages: libruby2_6-2_6 ruby2.6-devel

- Update 2.6.6 (boo#1167244 boo#1168938)
- CVE-2020-10663: Unsafe Object Creation Vulnerability in JSON
(Additional fix)
- CVE-2020-10933: Heap exposure vulnerability in the socket
library
https://github.com/ruby/ruby/compare/v2_6_5...v2_6_6
- drop CVE-2020-8130.patch and rake-12.3.2.gem again: fix included
- Fix CVE-2020-8130 (boo# 1164804) for the intree copy of rake:
- add CVE-2020-8130.patch and rake-12.3.2.gem

==== shared-mime-info ====
Version update (1.12 -> 1.15)
Subpackages: shared-mime-info-lang

- Update to version 1.15:
+ Add Kindle 8 eBook format.
+ Fix some HTML files being detected as XML.
- Changes from version 1.14:
+ Add mime-type for QCOW images.
+ Fix matching SVG files in some circumstances (again).
- Changes from version 1.13.1:
+ Fix matching SVG files in some circumstances.
- Changes from version 1.13:
+ Add code of conduct document.
+ Use itstool and gettext to generate translations.
+ Add content-tree type for OSTree USB repositories.
+ Add match for MPEG-4 v1 videos.
+ Adjust a lot of user readable mime-type descriptions.
+ Fix WOFF/WOFF2 mime-types.
+ Prefer text/html to XHTML for *.html files.
+ Better magic for text/html files.
+ Fix SVG magic for files embedded in HTML.
+ Add *.sgd as a glob for Mega Drive ROMs.
+ Specification: Mention that sub-class-of can be aliases.
+ Tools: Enable Large File Support in update-mime-database.
+ Test suite:
- Make test suite failures fatal.
- Add test for duplicate mime-types.
- Fix WarpScript test.
- Generate the specification in the CI, to avoid it becoming
syntactically invalid.
- Stop using source service, it leads to a undetected build cycle.
- Following this: Drop libtool BuildRequires and stop passing
autogen.sh to bootstrap, we are now using upstream release
tarballs.
- Add itstool BuildRequires: New dependency.
- Disable t-u-u, currently breaks the build.
- Stop passing --disable-default-make-check to configure, no longer
needed, nor recognized.

==== solid ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5Solid5 libKF5Solid5-lang solid-imports solid-tools

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* [Fstab] Ensure uniqueness for all filesystem types
* Samba: Ensure to differenciate mounts sharing the same source (kde#418906)
* Solid: Convert license headers to SPDX expressions
* hardware tool: define syntax via syntax arg

==== sonnet ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetCore5-lang libKF5SonnetUi5

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* Fix Sonnet autodetect failing on Indian langs
* Create ConfigView an unmanaged ConfigWidget

==== syndication ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- No code change since 5.68.0

==== syntax-highlighting ====
Version update (5.68.0 -> 5.69.0)
Subpackages: libKF5SyntaxHighlighting5 libKF5SyntaxHighlighting5-lang

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Too many changes since 5.68.0, only listing bugfixes:
* LaTeX: fix math parentheses in optional labels (kde#418979)
* optimize dynamic regex matching (kde#418778)

==== threadweaver ====
Version update (5.68.0 -> 5.69.0)

- Update to 5.69.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
* QAtomicInteger::loadRelaxed/storeRelaxed() are available since Qt 5.14
* ThreadWeaver: Convert license headers to SPDX expressions

==== util-linux ====
Version update (2.34 -> 2.35.1)
Subpackages: libblkid-devel libblkid1 libblkid1-32bit libfdisk1 libmount1
libmount1-32bit libsmartcols1 libuuid-devel libuuid1 libuuid1-32bit
util-linux-lang

- Update to version 2.35.1:
* agetty: add --show-issue, support for /run/issue and
* fdisk: Correct handling of hybrid MBR, cleanup wipe warning,
use 'r' to return from MBR to GPT.
* lsblk: FSVER column,
drop e3bb9bfb76c17b1d05814436ced62c05c4011f48.patch.
* lscpu: Add HiSilicon aarch64 tsv110 cpupart, add a new columns
to --cache.
* mount: add --target-prefix.
* mountpoint: add --nofollow option.
* script: add --echo, --log-in, --logging-format, --log-out and
- -log-timing.
* scriptlive: new command.
* scriptreplay: add --log-* options, --cr-mode, --stream,
- -summary, -T --log-timing.
* sfdisk: add progress bars.
* unshare: add --keep-caps and --map-current-user options.
* Many other fixes and improvements, see:

https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v2.35/v2.35-ReleaseNotes

https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v2.35/v2.35.1-ReleaseNotes
- Refresh libeconf.patch.
- Add libmount-Avoid-triggering-autofs-in-lookup_umount_fs.patch:
Avoid triggering autofs in lookup_umount_fs_by_statfs
(boo#1168389)

==== util-linux-systemd ====
Version update (2.34 -> 2.35.1)

- Update to version 2.35.1:
* agetty: add --show-issue, support for /run/issue and
* fdisk: Correct handling of hybrid MBR, cleanup wipe warning,
use 'r' to return from MBR to GPT.
* lsblk: FSVER column,
drop e3bb9bfb76c17b1d05814436ced62c05c4011f48.patch.
* lscpu: Add HiSilicon aarch64 tsv110 cpupart, add a new columns
to --cache.
* mount: add --target-prefix.
* mountpoint: add --nofollow option.
* script: add --echo, --log-in, --logging-format, --log-out and
- -log-timing.
* scriptlive: new command.
* scriptreplay: add --log-* options, --cr-mode, --stream,
- -summary, -T --log-timing.
* sfdisk: add progress bars.
* unshare: add --keep-caps and --map-current-user options.
* Many other fixes and improvements, see:

https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v2.35/v2.35-ReleaseNotes

https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v2.35/v2.35.1-ReleaseNotes
- Refresh libeconf.patch.
- Add libmount-Avoid-triggering-autofs-in-lookup_umount_fs.patch:
Avoid triggering autofs in lookup_umount_fs_by_statfs
(boo#1168389)

==== vim ====
Version update (8.2.0348 -> 8.2.0530)
Subpackages: gvim vim-data vim-data-common

- Updated to version 8.2.0530, fixes the following problems
* Vim9: not all code tested.
* Vim9: constant expression not well tested.
* Vim9: expression tests don't use recognized constants.
* Terminal in popup test is still a bit flaky.
* Vim9: while loop not tested.
* Python 3.9 does not define _Py_DEC_REFTOTAL. (Zdenek Dohnal)
* Vim9: str_val is confusing, it's a number
* Cannot delete a text property matching both id and type. (Axel Forsman)
* Insufficient testing for indent.c.
* popup_atcursor() may hang. (Yasuhiro Matsumoto)
* Yaml files are only recognized by the file extension.
* Internal error when using "0" for a callback.
* Some Normal mode commands not tested.
* Printf test failing on Haiku.
* Tag kind can't be a multi-byte character. (Marcin Szamotulski)
* Hardcopy command not tested enough.
* Can use :pedit in a popup window.
* Vim9: import that redefines local variable does not fail.
* Various Normal mode commands not fully tested.
* The typebuf_was_filled flag is sometimes not reset, which may cause a hang.
* Crash with combination of terminal popup and autocmd.
* Prop_find() may not find text property at start of the line.
* Type of term_sendkeys() is unknown.
* Using wrong printf directive for jump location.
* Coverity warning for not using return value.
* Nasty callback test fails on some systems.
* No CI test for a big-endian system.
* prop_find() does not find all props.
* Gcc warns for ambiguous else.
* Tiny popup when creating a terminal popup without minwidth.
* Using freed memory with :lvimgrep and autocommand. (extracted from POC
by Dominique Pelle)
* Some tests fail when run under valgrind.
* Wrong feature check causes test not to be run.
* Menu functionality insufficiently tested.
* Part from unfinished patch got included.
* Error for possible NULL argument to qsort().
* Printmbcharset option not tested.
* Delayed redraw when shifting text from Insert mode.
* Terminal postponed scrollback test is flaky.
* CI test coverage dropped.
* Coverity warns for using array index out of range.
* Coverity warns for not using return value.
* Coverity complains about using NULL pointer.
* Build fails with FEAT_EVAL but without FEAT_MENU.
* Cmdexpand.c insufficiently tested.
* Delayed screen update when using undo from Insert mode.
* Profile test fails when two functions take same time.
* Various memory leaks.
* Not all tests using a terminal are in the list of flaky tests.
* Not enough test coverage for evalvars.c.
* Setting local instead of global flag.
* When 'buftype' is "nofile" there is no overwrite check.
* Writefile() error does not give a hint.
* FileReadCmd event not well tested.
* No early check if :find and :sfind have an argument.
* Delete() commented out for testing.
* Search test leaves file behind.
* Channel test fails too often on slow Mac.
* Buffer menu does not handle special buffers properly.
* Channel connect_waittime() test is flaky.
* Bsdl filetype is not detected.
* Code in eval.c not sufficiently covered by tests.
* Various memory leaks in Vim9 script code.
* Vim9: cannot interrupt a loop with CTRL-C.
* Interrupting with CTRL-C does not always work.
* Crash when passing popup window to win_splitmove(). (john Devin)
* In some environments a few tests are expected to fail.
* Checking for wrong return value. (Tom)
* Code for modeless selection not sufficiently tested.
* Some errors were not tested for.
* It is not possible to check for a typo in a feature name.
* Buffer name may leak.
* No warning when test checks for option that never exists.
* Window creation failure not properly tested.
* Some compilers don't support using \e for Esc. (Yegappan Lakshmanan)
* A few tests fail in a huge terminal.
* INT signal not properly tested.
* Channel contents might be freed twice.
* No warnings for incorrect printf arguments.
* :disassemble has minor flaws.
* Channel contents might be used after being freed.
* Clipboard code is spread out.
* Swap file test fails on some systems.
* Listener with undo of deleting all lines not tested.
* Terminal scroll tests fails on some systems.
* Various functions not properly tested.
* Vim9: crash if return type is invalid. (Yegappan Lakshmanan)
* Not enough testing for restricted mode and function calls.
* Win32: double-width character displayed incorrectly.
* channel_parse_messages() fails when called recursively.
* Trailing space in job_start() command causes empty argument.
* Some tests fail when the system is slow.
* Cannot set the highlight group for a specific terminal.
* Test_confirm_cmd is flaky.
* Test_quotestar() often fails when run under valgrind.
* Missing feature check in test function.
* Cannot check if a function name is correct.
* Build failure because of wrong feature name.
* Confirm test fails on amd64 system. (Alimar Riesebieter)
* Previewwindow test fails on some systems. (James McCoy)
* Build error without float and channel feature. (John Marriott)
* Typos and other small problems.
* Vim9: dead code and wrong return type.
* Not parsing messages recursively breaks the govim plugin.
* Vim9: some errors are not tested
* GUI: pixel dust with some fonts and characters.
* Vim9: no error for missing ] after list.
* Test_confirm_cmd_cancel() can fail on a slow system.
* Missing change to compile_list().
* Terminal highlight name is set twice, leaking memory.
* Variables declared in an outer scope.
* Cannot use :write when using a plugin with BufWriteCmd.
* Channel out_cb test still fails sometimes on Mac.
* Terminal nasty callback test fails sometimes.
* Vim9: error messages not tested.
* New buffers are not added to the Buffers menu.
* Unloading shared libraries on exit has no purpose.
* Vim9: some code is not tested.
* Travis is still using trusty.
* Channel and sandbox code not sufficiently tested.
* Vim9: "let x = x + 1" does not give an error.
* Vim9: some error messages not tested.
* Vim9 script test fails.
* Vim9: some code and error messages not tested.
* Vim9: compiling not sufficiently tested.
* Vim9: Compiling can break when using a lambda inside :def.
* Vim9: memory leaks.
* Win32: VTP doesn't respect 'restorescreen'.
* Cannot recognize a <script> mapping using maparg().
* Vim9: some error messages not tested.
* Vim9: some error messages not tested.
* Vim9: asan error.
* Vim9: some code not tested.
* Vim9: disassemble test fails.
* Too verbose output from the asan build in Travis.
* Coverity complains about uninitialized field.
* Calling a lambda is slower than evaluating a string.
* Using the same loop in many places.
* Vim9: script test fails when channel feature is missing.
* Vim9: some code is not tested.
* Vim9: some code is not tested.
* Vim9: leaking scope memory when compilation fails.
* term_getty() not sufficiently tested.
* Coverity complains about ignoring return value.
* Getbufvar() may get the wrong dictionary. (David le Blanc)
* Vim9: func and partial types not done yet
* various code is not properly tested.
* Coverity complains about using uninitialized variable.
* Cscope code not fully tested.
* Vim9: no optional arguments in func type.
* Reading past allocated memory when using varargs.
* Several global functions are used in only one file.
* Some compilers cannot add to "void *".
* Client-server code is spread out.
* Vim9: cannot separate "func" and "func(): void".
* A terminal falls back to setting $TERM to "xterm".
* Vim9: return type not properly checked.
* Tests are not listed in sorted order.
* Crash when reading a blob fails.
* Several errors are not tested for.
* Vim9: function types insufficiently tested.
* Vim9: function arguments insufficiently tested.
* Vim9: function argument with default not checked.
* Test crashes on s390. (James McCoy)

==== vinagre ====
Subpackages: vinagre-lang

- Add -fcommon in order to fix boo#1160419.

==== virtualbox ====
Subpackages: virtualbox-guest-tools virtualbox-guest-x11 virtualbox-kmp-default

- Change default display type for openSUSE virtual machines. The default type
has been VMSVGA; however, this display type fails to utilize driver vboxvideo.
thus the display size is fixed. This problem is under investigation, but
until a fix is found, the default is changed to VBoxVGA with file
"add change_default_display.patch".
- Makefile in the kernel-host-source package has a typo bug fixed (boo#1168910)
and a large number of warnings are fixed.
- apply fixes for kernel 5.6 unconditionally
- adjust fixes_for_5.6.patch in such a way, it can be applied unconditionally
(in order to support builds for newer kernel with older distributions)

==== wireshark ====
Version update (3.2.2 -> 3.2.3)
Subpackages: libwireshark13 libwiretap10 libwsutil11 wireshark-ui-qt

- wireshark 3.2.3 (boo#1169063)
* CVE-2020-11647: The BACapp dissector could crash
- Further features, bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-3.2.3.html

==== yast2 ====
Version update (4.2.81 -> 4.2.82)
Subpackages: yast2-logs

- Remove ip aliases that were marked to be deleted from the
interface configuration files (bsc#1146020)
- 4.2.82

==== yast2-firstboot ====
Version update (4.2.13 -> 4.2.14)

- Recommend icewm if graphical installation (bsc#1165646)
- 4.2.14

==== zypper ====
Version update (1.14.35 -> 1.14.36)
Subpackages: zypper-log zypper-needs-restarting

- Reformat manpages to workaround asciidoctor shortcomings
(bsc#1154803, bsc#1167122, bsc#1168990)
- Remove undocumented rug legacy stuff.
- Remove 'using namespace std;' (bsc#1166610)
- patch table: Add 'Since' column if history data are available
(jsc#SLE-5116)
- version 1.14.36


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages